Bug 18015 - On shelf holds allowed > "If all unavailable" ignores notforloan
Summary: On shelf holds allowed > "If all unavailable" ignores notforloan
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15534
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-30 14:56 UTC by Mirko Tietgen
Modified: 2017-02-22 23:08 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18015 - On shelf holds allowed > "If all unavailable" ignores notforloan (1.28 KB, patch)
2017-01-30 15:02 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 18015 - On shelf holds allowed > "If all unavailable" ignores notforloan (1.33 KB, patch)
2017-01-30 15:42 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 18015 - On shelf holds allowed > "If all unavailable" ignores notforloan (1.41 KB, patch)
2017-01-31 10:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2017-01-30 14:56:25 UTC
If in the circ rules matrix you set "On shelf holds allowed" to "If all unavailable", items with status "Not for loan" are considered available and break the functionality.
Comment 1 Mirko Tietgen 2017-01-30 15:02:16 UTC
Created attachment 59646 [details] [review]
Bug 18015 - On shelf holds allowed > "If all unavailable" ignores notforloan

If in the circ rules matrix you set "On shelf holds allowed" to "If all unavailable",
items with status "Not for loan" are considered available and break the functionality.

Test plan:

- Set "On shelf holds allowed" to "If all unavailable" for your patron and item
  category (or everyone and everything)
- Have two items for a record. Check out one
- Set 7 - Not for loan: "Not For Loan" for the second item
- Try to place a hold. Does not work.

- Apply the patch
- Try to place a hold. Should work now.
Comment 2 Claire Gravely 2017-01-30 15:42:12 UTC
Created attachment 59649 [details] [review]
Bug 18015 - On shelf holds allowed > "If all unavailable" ignores notforloan

If in the circ rules matrix you set "On shelf holds allowed" to "If all unavailable",
items with status "Not for loan" are considered available and break the functionality.

Test plan:

- Set "On shelf holds allowed" to "If all unavailable" for your patron and item
  category (or everyone and everything)
- Have two items for a record. Check out one
- Set 7 - Not for loan: "Not For Loan" for the second item
- Try to place a hold. Does not work.

- Apply the patch
- Try to place a hold. Should work now.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Jonathan Druart 2017-01-31 10:05:26 UTC
Created attachment 59676 [details] [review]
Bug 18015 - On shelf holds allowed > "If all unavailable" ignores notforloan

If in the circ rules matrix you set "On shelf holds allowed" to "If all unavailable",
items with status "Not for loan" are considered available and break the functionality.

Test plan:

- Set "On shelf holds allowed" to "If all unavailable" for your patron and item
  category (or everyone and everything)
- Have two items for a record. Check out one
- Set 7 - Not for loan: "Not For Loan" for the second item
- Try to place a hold. Does not work.

- Apply the patch
- Try to place a hold. Should work now.

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-01-31 10:06:54 UTC
Must be backported to 16.11 and 16.05
Comment 5 Kyle M Hall 2017-02-07 17:51:47 UTC
Pushed to master for 17.05, thanks Mirko!
Comment 6 Katrin Fischer 2017-02-07 21:17:35 UTC
This patch has been pushed to 16.11.x and will be in 16.11.04.
Comment 7 Mason James 2017-02-22 23:08:35 UTC
(In reply to Jonathan Druart from comment #4)
> Must be backported to 16.11 and 16.05

Pushed to 16.05.x, for 16.05.10 release